Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 653752

Summary: >=media-gfx/imagemagick-6.9.9.40: test failure: test.tap 2 is failing
Product: Gentoo Linux Reporter: Thomas Deutschmann <whissi>
Component: Current packagesAssignee: Gentoo Graphics Project <graphics+disabled>
Status: RESOLVED FIXED    
Severity: normal Keywords: TESTFAILURE
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://github.com/ImageMagick/ImageMagick/issues/1019
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log
test-suite.log
test-suite.log

Description Thomas Deutschmann gentoo-dev Security 2018-04-22 01:06:15 UTC
Created attachment 528186 [details]
build.log

> Line: 160, backgroundColor default (#FFFFFFFFFFFF) is incorrect
> Testing throwing and catching exceptions. A program crash or a message
> that the exception was not caught indicates a test failure.  A properly
> formatted exception message indicates success:
> Caught exception, good!:
>   "attributes: unable to open image `foo': No such file or directory @ error/blob.c/OpenBlob/2761"
> Line: 1074, pixelColor default (#FFFF00000000) is not canvas color (#FFFF00000000) as expected
> 2 failures
> not ok
> FAIL: Magick++/tests/tests.tap 2


Portage 2.3.24 (python 3.5.5-final-0, default/linux/x86/17.0, gcc-6.4.0, glibc-2.25-r11, 4.9.76-gentoo-r1 i686)
=================================================================
System uname: Linux-4.9.76-gentoo-r1-i686-Intel-R-_Core-TM-_i7-3770K_CPU_@_3.50GHz-with-gentoo-2.4.1
KiB Mem:     3108324 total,    801928 free
KiB Swap:     488276 total,    488276 free
Timestamp of repository gentoo: Sat, 21 Apr 2018 22:21:33 +0000
Head commit of repository gentoo: 5ba6d78db6412d68194ba97cd08e87d4617821d6

sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.24.3-r1::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.4.8::gentoo, 3.5.5::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.15.1-r2::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r11::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: -1000

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ARCH="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m"
CHOST="i686-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
COLLISION_IGNORE="/lib/modules/* *.py[co] *$py.class */dropin.cache"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/spool/munin-async/.ssh"
CPU_FLAGS_X86="mmx mmxext sse sse2"
CXXFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m"
DEFAULT_ABI="x86"
EDITOR="/usr/bin/mcedit"
ELIBC="glibc"
EPREFIX=""
EROOT="/"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GCC_SPECS=""
GRUB_PLATFORMS="efi-32 pc"
GSETTINGS_BACKEND="dconf"
HOME="/root"
INFOPATH="/usr/share/gcc-data/i686-pc-linux-gnu/6.4.0/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.29.1/info:/usr/share/info"
INPUT_DEVICES="libinput keyboard mouse"
IUSE_IMPLICIT="abi_x86_32 prefix prefix-chain prefix-guest"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KERNEL="linux"
L10N="en en-US de de-DE"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LC_MESSAGES="C"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LIBDIR_x86="lib"
LINGUAS="en de"
LOGNAME="root"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 5 --load-average 7.95"
MULTILIB_ABIS="x86"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OLDPWD="/etc/portage/patches/media-gfx"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/i686-pc-linux-gnu/gcc-bin/6.4.0:/usr/lib/llvm/5/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
PHP_TARGETS="php5-6 php7-0"
POSTGRES_TARGETS="postgres9_5"
PRELINK_PATH_MASK="/usr/lib/klibc"
PWD="/etc/portage/patches/media-gfx/imagemagick"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_5"
PYTHON_TARGETS="python2_7 python3_5"
QT_GRAPHICSSYSTEM="raster"
ROOT="/"
ROOTPATH="/usr/i686-pc-linux-gnu/gcc-bin/6.4.0:/usr/lib/llvm/5/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
RUBY_TARGETS="ruby22 ruby23"
SHELL="/bin/bash"
SHLVL="2"
SSH_TTY="/dev/pts/0"
TERM="screen"
TMUX="/tmp/tmux-0/default,4969,0"
TMUX_PANE="%0"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
USER="root"
USERLAND="GNU"
VIDEO_CARDS="vmware"
Comment 1 Thomas Deutschmann gentoo-dev Security 2018-04-22 01:06:36 UTC
Created attachment 528188 [details]
test-suite.log
Comment 2 Mart Raudsepp gentoo-dev 2018-04-23 18:35:32 UTC
the test-suite.log is from cjs, not imagemagick
Comment 3 Thomas Deutschmann gentoo-dev Security 2018-04-23 18:44:22 UTC
Created attachment 528322 [details]
test-suite.log
Comment 4 Larry the Git Cow gentoo-dev 2018-07-09 20:56:18 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0cef8ccb6f51e3183b5878b14e2987caa0cd26c1

commit 0cef8ccb6f51e3183b5878b14e2987caa0cd26c1
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2018-07-09 20:55:44 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2018-07-09 20:56:08 +0000

    media-gfx/imagemagick: fix FTBFS on x86
    
    Closes: https://bugs.gentoo.org/653752
    Package-Manager: Portage-2.3.41, Repoman-2.3.9

 .../files/imagemagick-7.0.26-FTBFS-on-i386.patch   | 36 ++++++++++++++++++++++
 media-gfx/imagemagick/imagemagick-6.9.10.5.ebuild  |  2 ++
 media-gfx/imagemagick/imagemagick-7.0.8.5.ebuild   |  2 ++
 3 files changed, 40 insertions(+)